# Asterisk Project : Asterisk 12 Application_Originate

Added by wikibot , edited by wikibot on Aug 29, 2013

# Originate()

### Synopsis

Originate a call.

### Description

This application originates an outbound call and connects it to a specified extension or application. This application will block until the outgoing call fails or gets answered. At that point, this application will exit with the status variable set and dialplan processing will continue.

This application sets the following channel variable before exiting:

- `ORIGINATE_STATUS` - This indicates the result of the call origination.
  - FAILED
  - SUCCESS
  - BUSY
  - CONGESTION
  - HANGUP
  - RINGING
  - UNKNOWN - In practice, you should never see this value. Please report it to the issue tracker if you ever see it.

### Syntax

    Originate(tech_data,type,arg1[,arg2[,arg3[,timeout]]])

##### Arguments

- `tech_data` - Channel technology and data for creating the outbound channel. For example, SIP/1234.
- `type` - This should be `app` or `exten`, depending on whether the outbound channel should be connected to an application or extension.
- `arg1` - If the type is `app`, then this is the application name. If the type is `exten`, then this is the context that the channel will be sent to.
- `arg2` - If the type is `app`, then this is the data passed as arguments to the application. If the type is `exten`, then this is the extension that the channel will be sent to.
- `arg3` - If the type is `exten`, then this is the priority that the channel is sent to. If the type is `app`, then this parameter is ignored.
- `timeout` - Timeout in seconds. Default is 30 seconds.

### See Also

### Import Version

This documentation was imported from Asterisk Version Unknown